org.apache.lucene.store

## Class FSDirectory.FSIndexOutput

- java.lang.Object
- - org.apache.lucene.store.IndexOutput
  - - org.apache.lucene.store.BufferedIndexOutput
    - - org.apache.lucene.store.SimpleFSDirectory.SimpleFSIndexOutput
      - - org.apache.lucene.store.FSDirectory.FSIndexOutput

- Enclosing class:
    FSDirectory

  Deprecated.
  Use SimpleFSDirectory.SimpleFSIndexOutput instead

      protected static class FSDirectory.FSIndexOutput
      extends SimpleFSDirectory.SimpleFSIndexOutput

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FSIndexOutput(java.io.File path)` Deprecated.

  - ### Method Summary

    - ### Methods inherited from class org.apache.lucene.store.SimpleFSDirectory.SimpleFSIndexOutput

      `close, flushBuffer, length, seek, setLength`

    - ### Methods inherited from class org.apache.lucene.store.BufferedIndexOutput

      `flush, getFilePointer, writeByte, writeBytes`

    - ### Methods inherited from class org.apache.lucene.store.IndexOutput

      `copyBytes, writeBytes, writeChars, writeChars, writeInt, writeLong, writeString, writeStringStringMap, writeVInt, writeVLong`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FSIndexOutput

          public FSIndexOutput(java.io.File path)
                        throws java.io.IOException

      Deprecated.
      Throws:
        `java.io.IOException`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.